# OpalTransportAddressArray Class Reference

`#include <transports.h>`

## Public Member Functions

| OpalTransportAddressArray (PINDEX initialSize=0)
| OpalTransportAddressArray (const OpalTransportAddress &address)
| OpalTransportAddressArray (const PStringArray &array)
| OpalTransportAddressArray (const PStringList &list)
| OpalTransportAddressArray (const PSortedStringList &list)
void | AppendString (const char *address)
void | AppendString (const PString &address)
void | AppendAddress (const OpalTransportAddress &address)
virtual PObject * | Clone () const

## Protected Member Functions

| OpalTransportAddressArray (int dummy, const OpalTransportAddressArray *c)
void | AppendStringCollection (const PCollection &coll)

## Constructor & Destructor Documentation

OpalTransportAddressArray::OpalTransportAddressArray | ( | int | dummy,
|  | const OpalTransportAddressArray * | c |
| ) |  |  | `[inline, protected]`

OpalTransportAddressArray::OpalTransportAddressArray | ( | PINDEX | initialSize = `0` | ) | `[inline]`

OpalTransportAddressArray::OpalTransportAddressArray | ( | const OpalTransportAddress & | address | ) | `[inline]`

OpalTransportAddressArray::OpalTransportAddressArray | ( | const PStringArray & | array | ) | `[inline]`

OpalTransportAddressArray::OpalTransportAddressArray | ( | const PStringList & | list | ) | `[inline]`

OpalTransportAddressArray::OpalTransportAddressArray | ( | const PSortedStringList & | list | ) | `[inline]`

## Member Function Documentation

void OpalTransportAddressArray::AppendAddress | ( | const OpalTransportAddress & | address | ) |

void OpalTransportAddressArray::AppendString | ( | const PString & | address | ) |

void OpalTransportAddressArray::AppendString | ( | const char * | address | ) |

void OpalTransportAddressArray::AppendStringCollection | ( | const PCollection & | coll | ) | `[protected]`

virtual PObject* OpalTransportAddressArray::Clone | ( |  | ) | const`[inline, virtual]`

The documentation for this class was generated from the following file:

- transports.h